Page 1 of 1

Fatal error: Call to undefined method JApplicationSite::isClient() in 3.9.5 after moving to new server

Posted: Wed Jun 05, 2019 2:53 pm
by petermatra
I have two servers and I need to move www.oldgrowthgardens.com to a new server. When I did the transfer I started receiving this error. The runs on PHP 5.6. It won't run on PHP 7.

error: Fatal error: Call to undefined method JApplicationSite::isClient() in /home2/(WEBSITE)/public_html/plugins/system/logout/logout.php on line 48

There is another post dealing with this very problem when upgrading to 3.8 that deals with the Rememberme plugin is disabled and also the postupdate.php code to clean up. Both of those did not work.

Any ideas?

Is there a server setting I'm missing in the new setup?

Pete

Re: Fatal error: Call to undefined method JApplicationSite::isClient() in 3.9.5 after moving to new server

Posted: Wed Jun 05, 2019 3:32 pm
by petermatra
The error log says

[14-May-2015 18:21:50 UTC] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20100525/mysql.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20100525/mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0

Obviously I have a problem with mysql and my server. Can anyone decipher this? lol Google time

Re: Fatal error: Call to undefined method JApplicationSite::isClient() in 3.9.5 after moving to new server

Posted: Wed Jun 05, 2019 3:44 pm
by ribo
Please viewtopic.php?f=806&t=969442. Also you must have up to date your joomla. The latest version is 3.9.6

Re: Fatal error: Call to undefined method JApplicationSite::isClient() in 3.9.5 after moving to new server

Posted: Wed Jun 05, 2019 7:07 pm
by petermatra
I found this error was a mistake in the log. I solved the problem but I don't know how. I deleted the account and redid the transfer just like I did a dozen other times. It is now up to date 3.9.6 running on PHP 5.6.

Re: Fatal error: Call to undefined method JApplicationSite::isClient() in 3.9.5 after moving to new server

Posted: Wed Jun 05, 2019 7:17 pm
by ribo
Keep in mind that php 5.6 and php 7.0 are EOL and it s better to use php 7.1 + . Also in php 7 you must use mysqli and not mysql as in php 7 there is no mysql